#586 Cannot set python interperter in preferences

closed-fixed
nobody
9
2007-10-29
2007-10-15
Anton
No

Hi, i came here because

"Check your error log for more details.
More info can also be found at the bug report:
http://sourceforge.net/tracker/index.php?func=detail&aid=1523582&group_id=85796&atid=577329
java.lang.NullPointerException"

eclipse/plugins/org.python.pydev_1.2.1/PySrc/
interpreterInfo.py extradites:

"Tracebake(most recent call last):
File "interpreterInfo.py", in line 112, in ?
raise RuntimeError('Ok, this is so that is shows the output (ugly hack for
some platforms, so that is releases the output).')"

I have a latest version of pydev (1.3.9).
Eclipse version 3.3.0 running on Alt-Linux 4.0 kore 2.6

Discussion

  • Anton
    Anton
    2007-10-19

    • priority: 5 --> 9
     
  • Fabio Zadrozny
    Fabio Zadrozny
    2007-10-27

    Logged In: YES
    user_id=617340
    Originator: NO

    Is that all that's in your error log? Can you try updating to the latest version of pydev?

     
  • Fabio Zadrozny
    Fabio Zadrozny
    2007-10-27

    • status: open --> pending
     
  • Anton
    Anton
    2007-10-29

    Logged In: YES
    user_id=1913451
    Originator: YES

    Hi fabioz
    I have latest version of pydev. In my error log:

    eclipse.buildId=M20070921-1145
    java.version=1.6.0_03
    java.vendor=Sun Microsystems Inc.
    BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=ru_RU
    Command-line arguments: -os linux -ws gtk -arch x86

    Info
    Mon Oct 29 10:36:53 MSK 2007
    Information about process of adding new interpreter:

    eclipse.buildId=M20070921-1145
    java.version=1.6.0_03
    java.vendor=Sun Microsystems Inc.
    BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=ru_RU
    Command-line arguments: -os linux -ws gtk -arch x86

    Error
    Mon Oct 29 10:36:53 MSK 2007
    No message gotten.

    java.lang.NullPointerException
    at org.python.pydev.plugin.PydevPlugin.getPyFilesBelow(PydevPlugin.java:806)
    at org.python.pydev.plugin.PydevPlugin.getPyFilesBelow(PydevPlugin.java:774)
    at org.python.pydev.plugin.PydevPlugin.getPyFilesBelow(PydevPlugin.java:770)
    at org.python.pydev.ui.pythonpathconf.InterpreterInfo.restoreCompiledLibs(InterpreterInfo.java:400)
    at org.python.pydev.ui.interpreters.PythonInterpreterManager.doCreateInterpreterInfo(PythonInterpreterManager.java:68)
    at org.python.pydev.ui.interpreters.PythonInterpreterManager.createInterpreterInfo(PythonInterpreterManager.java:42)
    at org.python.pydev.ui.interpreters.AbstractInterpreterManager.getInterpreterInfo(AbstractInterpreterManager.java:220)
    at org.python.pydev.ui.interpreters.AbstractInterpreterManager.addInterpreter(AbstractInterpreterManager.java:270)
    at org.python.pydev.ui.pythonpathconf.AbstractInterpreterEditor$Operation.run(AbstractInterpreterEditor.java:730)
    at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:113)

    eclipse.buildId=M20070921-1145
    java.version=1.6.0_03
    java.vendor=Sun Microsystems Inc.
    BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=ru_RU
    Command-line arguments: -os linux -ws gtk -arch x86

    Error
    Mon Oct 29 10:36:53 MSK 2007
    No message gotten.

    java.lang.NullPointerException
    at org.python.pydev.plugin.PydevPlugin.getPyFilesBelow(PydevPlugin.java:806)
    at org.python.pydev.plugin.PydevPlugin.getPyFilesBelow(PydevPlugin.java:774)
    at org.python.pydev.plugin.PydevPlugin.getPyFilesBelow(PydevPlugin.java:770)
    at org.python.pydev.ui.pythonpathconf.InterpreterInfo.restoreCompiledLibs(InterpreterInfo.java:400)
    at org.python.pydev.ui.interpreters.PythonInterpreterManager.doCreateInterpreterInfo(PythonInterpreterManager.java:68)
    at org.python.pydev.ui.interpreters.PythonInterpreterManager.createInterpreterInfo(PythonInterpreterManager.java:42)
    at org.python.pydev.ui.interpreters.AbstractInterpreterManager.getInterpreterInfo(AbstractInterpreterManager.java:220)
    at org.python.pydev.ui.interpreters.AbstractInterpreterManager.addInterpreter(AbstractInterpreterManager.java:270)
    at org.python.pydev.ui.pythonpathconf.AbstractInterpreterEditor$Operation.run(AbstractInterpreterEditor.java:730)
    at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:113)

    eclipse.buildId=M20070921-1145
    java.version=1.6.0_03
    java.vendor=Sun Microsystems Inc.
    BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=ru_RU
    Command-line arguments: -os linux -ws gtk -arch x86

    Error
    Mon Oct 29 10:33:56 MSK 2007
    org.python.pydev.ui.interpreters.PythonInterpreterManager:Interpreter is not properly configured!Please go to window->preferences->PyDev->Python Interpreters and configure it.
    If this is not supposed to be a Python project, change the project type on the
    project properties to the project you want (e.g.: Jython project).

    org.python.pydev.ui.NotConfiguredInterpreterException: org.python.pydev.ui.interpreters.PythonInterpreterManager:Interpreter is not properly configured!
    Please go to window->preferences->PyDev->Python Interpreters and configure it.
    If this is not supposed to be a Python project, change the project type on the
    project properties to the project you want (e.g.: Jython project).
    at org.python.pydev.ui.interpreters.AbstractInterpreterManager.getDefaultInterpreter(AbstractInterpreterManager.java:123)
    at org.python.pydev.editor.codecompletion.revisited.ProjectModulesManager.getSystemModulesManager(ProjectModulesManager.java:185)
    at org.python.pydev.editor.codecompletion.revisited.ProjectModulesManager.getManagers(ProjectModulesManager.java:383)
    at org.python.pydev.editor.codecompletion.revisited.ProjectModulesManager.getManagersInvolved(ProjectModulesManager.java:464)
    at org.python.pydev.editor.codecompletion.revisited.ProjectModulesManager.getCompletePythonPath(ProjectModulesManager.java:481)
    at org.python.pydev.plugin.nature.PythonPathNature.getCompleteProjectPythonPath(PythonPathNature.java:78)
    at org.python.pydev.plugin.nature.PythonNature$RebuildPythonNatureModules.run(PythonNature.java:110)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)

    eclipse.buildId=M20070921-1145
    java.version=1.6.0_03
    java.vendor=Sun Microsystems Inc.
    BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=ru_RU
    Command-line arguments: -os linux -ws gtk -arch x86

    Info
    Fri Oct 26 13:01:09 MSD 2007
    Information about process of adding new interpreter:- Opening dialog to request executable (or jar).
    - Chosen interpreter file:'/usr/bin/python
    - Ok, file is non-null. Getting info on:/usr/bin/python
    - Beggining task:Getting libs totalWork:100
    - Setting task name:Mounting executable string...
    - Setting task name:Executing: /usr/bin/python -u /home/shulga/Archive/eclipse/plugins/org.python.pydev_1.3.9/PySrc/interpreterInfo.py
    - Setting task name:Making pythonpath environment... /usr/bin/python -u /home/shulga/Archive/eclipse/plugins/org.python.pydev_1.3.9/PySrc/interpreterInfo.py
    - Setting task name:Making exec... /usr/bin/python -u /home/shulga/Archive/eclipse/plugins/org.python.pydev_1.3.9/PySrc/interpreterInfo.py
    - Setting task name:Reading output...
    - Setting task name:Waiting for process to finish.
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/_codecs_cn.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/readline.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/parser.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/_bisect.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/_codecs_iso2022.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/_codecs_hk.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/_curses_panel.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/_codecs_jp.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/_codecs_kr.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/_codecs_tw.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/_csv.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/_multibytecodec.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/_heapq.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/_locale.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/_testcapi.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/_random.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/_socket.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/_ssl.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/cStringIO.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/_weakref.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/array.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/audioop.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/binascii.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/bz2.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/cPickle.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/collections.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/cmath.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/crypt.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/datetime.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/fcntl.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/dl.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/imageop.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/gdbm.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/grp.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/linuxaudiodev.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/itertools.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/operator.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/math.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/md5.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/mmap.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/nis.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/pyexpat.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/ossaudiodev.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/dbm.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/regex.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/resource.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/rgbimg.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/select.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/sha.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/strop.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/struct.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/syslog.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/termios.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/time.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/timing.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/unicodedata.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/zlib.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/_curses.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/_hotshot.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/_bsddb.so
    - Setting task name:Found:/usr/lib/python2.4/lib-dynload/psycopg.so
    - Setting task name:Found:/usr/lib/python2.4/site-packages/_comedi.so
    - Setting task name:Found:/usr/lib/python2.4/site-packages/ORBit.so
    - Setting task name:Found:/usr/lib/python2.4/site-packages/libxml2mod.so
    - Setting task name:Found:/usr/lib/python2.4/site-packages/_mysql.so
    - Setting task name:Found:/usr/lib/python2.4/site-packages/rrdtoolmodule.so
    - Setting task name:Found:/usr/lib/python2.4/site-packages/_sqlite.so
    - Setting task name:Found:/usr/lib/python2.4/site-packages/_rrdtool.so
    - Setting task name:Found:/usr/lib/python2.4/site-packages/_dbus_bindings.so
    - Setting task name:Found:/usr/lib/python2.4/site-packages/_dbus_glib_bindings.so
    - Setting task name:Found:/usr/lib/python2.4/site-packages/btctl.so
    - Setting task name:Found:/usr/lib/python2.4/site-packages/sip.so
    - Setting task name:Found:/usr/lib/python2.4/site-packages/_bluetooth.so
    - Setting task name:Found:/usr/lib/python2.4/site-packages/qt.so
    - Setting task name:Found:/usr/lib/python2.4/site-packages/qtcanvas.so
    - Setting task name:Found:/usr/lib/python2.4/site-packages/qtext.so
    - Setting task name:Found:/usr/lib/python2.4/site-packages/qtgl.so
    - Setting task name:Found:/usr/lib/python2.4/site-packages/qtnetwork.so
    - Setting task name:Found:/usr/lib/python2.4/site-packages/qtsql.so
    - Setting task name:Found:/usr/lib/python2.4/site-packages/qttable.so
    - Setting task name:Found:/usr/lib/python2.4/site-packages/qtui.so
    - Setting task name:Found:/usr/lib/python2.4/site-packages/qtxml.so
    - Setting task name:Found:/usr/lib/python2.4/site-packages/GeoIP.so
    Exception detected: null
    - Some error happened while getting info on the interpreter:
    java.lang.NullPointerException
    at org.python.pydev.plugin.PydevPlugin.getPyFilesBelow(PydevPlugin.java:806)
    at org.python.pydev.plugin.PydevPlugin.getPyFilesBelow(PydevPlugin.java:774)
    at org.python.pydev.plugin.PydevPlugin.getPyFilesBelow(PydevPlugin.java:770)
    at org.python.pydev.ui.pythonpathconf.InterpreterInfo.restoreCompiledLibs(InterpreterInfo.java:400)
    at org.python.pydev.ui.interpreters.PythonInterpreterManager.doCreateInterpreterInfo(PythonInterpreterManager.java:68)
    at org.python.pydev.ui.interpreters.PythonInterpreterManager.createInterpreterInfo(PythonInterpreterManager.java:42)
    at org.python.pydev.ui.interpreters.AbstractInterpreterManager.getInterpreterInfo(AbstractInterpreterManager.java:220)
    at org.python.pydev.ui.interpreters.AbstractInterpreterManager.addInterpreter(AbstractInterpreterManager.java:270)
    at org.python.pydev.ui.pythonpathconf.AbstractInterpreterEditor$Operation.run(AbstractInterpreterEditor.java:730)
    at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:113)

     
  • Anton
    Anton
    2007-10-29

    • status: pending --> open
     
  • Fabio Zadrozny
    Fabio Zadrozny
    2007-10-29

    Logged In: YES
    user_id=617340
    Originator: NO

    Ok, should be fixed in the cvs for 1.3.10

     
  • Fabio Zadrozny
    Fabio Zadrozny
    2007-10-29

    • status: open --> closed-fixed
     
  • Anton
    Anton
    2007-10-29

    Logged In: YES
    user_id=1913451
    Originator: YES

    thanks, i be waiting